﻿using Microsoft.Extensions.Logging;

using Xunit.Abstractions;

namespace HttpClientStudy.UnitTest
{
    /// <summary>
    /// 使用 xUnit 单元测试框架
    /// </summary>
    public class UseXUnitTest
    {
        private readonly ITestOutputHelper _testOutput;
        private ILogger _logger;

        public UseXUnitTest(ITestOutputHelper outputHelper,ILogger<UseXUnitTest> logger)
        {
            _testOutput = outputHelper;
            _logger = logger;
        }

        [Fact]
        public void UseXUnit_Test()
        {
            _testOutput.WriteLine("使用 xUnit 单元测试框架！");
            _logger.LogError("使用 xUnit 单元测试框架！");
            Assert.True(true,"使用 xUnit");
        }
    }
}