﻿using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;

namespace HttpClientStudy.WebApp.Controllers
{
    /// <summary>
    /// 简单接口 控制器
    /// </summary>
    [Route("api/[controller]/[action]")]
    [ApiController]
    public class SimpleController : ControllerBase
    {
        private ILogger<SimpleController> _logger;

        /// <summary>
        /// 构造
        /// </summary>
        public SimpleController(ILogger<SimpleController> logger)
        { 
            _logger = logger;
        }

        /// <summary>
        /// 获取账号
        /// </summary>
        /// <returns></returns>
        [HttpGet]
        public IActionResult GetAccount()
        {
            var reslut = BaseResultUtil.Success("操作成功");
            return Ok(reslut);
        }
    }
}
